Previous: RS232 command-line options, Up: RS232 settings [Contents][Index]

#### 6.12.3 RS232 usage example

Here we give you a simple example how to set up an emulated C64 using the modem connected to your PC. The following list shows each step.

`Attach your modem to your PC at a serial port.`

  Normally you should set it up to use the modem as "/dev/modem".

`start VICE`
`Setup VICE to use your modem as "serial device 1"`

  Go to the RS232 settings menu and change "Serial 1 device" to "/dev/modem" (or the device where you attached your modem to) Then go to the RS232 settings menu and change "Serial 1 baudrate" to the baudrate your modem should run at. Watch out, e.g. on Linux there is an additional multiplier to multiply with the baudrate (so e.g. 19200 gives 115200 or so baud) See the "setserial" manpage on Linux for example. However, most modems should be able to autodetect the speed to the computer as well.

`Select the RS232 emulation your programs use`

  If you want to use the Userport emulation, go to the RS232 settings and change "Userport RS232 Device" to "Serial 1". If you want ACIA emulation (swiftlink or what’s it called?) then change "ACIA $DE** device" to "Serial 1".

`Enable the emulation`

  Go to the RS232 settings and select either "ACIA $DE** emulation" or Userport 300/1200 baud or CIA 9600 baud emulation.

`Load your program and start it.`

  If it is able to detect an RS232 cartridge like swiftlink or so, try to detect the ACIA emulation if enabled. Otherwise just set the baudrate to either 300, 1200, 2400 or 9600 according to what you enabled in the VICE menu for the userport.

### 6.13 Tape port devices

#### 6.13.1 Tape port resources

`CPClockF83`

  Boolean specifying whether the CP Clock F83 (PCF8583 RTC) is enabled.

`CPClockF83Save`

  Boolean specifying whether the CP Clock F83 (PCF8583 RTC) data is saved when changed.

`TapeSenseDongle`

  Boolean specifying whether the tape sense dongle is enabled.

`DTLBasicDongle`

  Boolean specifying whether the DTL Basic dongle is enabled.

`TapecartEnabled`

  Boolean that specifies if a tapecart is attached.

`TapecartUpdateTCRT`

  Boolean, if true write back the tapecart memory contents back to the .tcrt file when detaching the image or quitting the emulator.

`TapecartOptimizeTCRT`

  Boolean, when set to true the .tcrt image will be optimized by leaving out blank space at the end when saving.

`TapecartLogLevel`

  Integer that specifies the tapecart emulation log level. At the default level of 0, only errors are logged. Level 1 additionally logs mode changes and command bytes and level 2 adds details of command parameters.

`TapecartTCRTFilename`

  String specifying the file name of the current tapecart image.

#### 6.13.2 Tape port command line options

`-cpclockf83`
`+cpclockf83`

  Enable/Disable CP Clock F83 (PCF8583 RTC) (`CPClockF83=1`, `CPClockF83=0`).

`-cpclockf83save`
`+cpclockf83save`

  Enable/Disable saving of the CP Clock F83 (PCF8583 RTC) data when changed (`CPClockF83Save=1`, `CPClockF83Save=0`).

`-tapesensedongle`
`+tapesensedongle`

  Enable/Disable tape sense dongle (`TapeSenseDongle=1`, `TapeSenseDongle=0`).

`-dtlbasicdongle`
`+dtlbasicdongle`

  Enable/Disable DTL Basic dongle (`DTLBasicDongle=1`, `DTLBasicDongle=0`).

`-tapecart`
`+tapecart`

  Enable/disable tapecart emulation (`TapecartEnabled=1`, `TapecartEnabled=0`)

`-tcrt <name>`

  Specify tapecart .tcrt image filename (`TapecartTCRTFilename`)

`-tapecartupdatetcrt`
`+tapecartupdatetcrt`

  Specify if the attached .tcrt image should be updated when the emulated tapecart is written to. (`TapecartUpdateTCRT=1`, `TapecartUpdateTCRT=0`)

`-tapecartoptimizetcrt`
`+tapecartoptimizetcrt`

  Specify if writing to a .tcrt file should optimize its size by leaving out blank space at the end. (`TapecartOptimizeTCRT=1`, `TapecartOptimizeTCRT=0`)

`-tapecartloglevel <number>`

  Specify the tapecart log level. The default level of 0 only logs errors. Level 1 additionally logs mode changes and command bytes and level 2 adds details of command parameters.

### 6.14 Userport devices

#### 6.14.1 Userport resources

`UserportCollisionHandling`

  Boolean specifying the way the Userport collisions should be handled, (0: error message and detach all involved devices, 1: error message and detach last attached involved device, 2: warning in log and ’AND’ the valid return values)

`UserportDIGIMAX`

  Boolean specifying whether the userport DigiMAX device is enabled.

`Userport4bitSampler`

  Boolean specifying whether the Userport 4bit sampler is enabled.

`Userport8BSS`

  Boolean specifying whether the Userport 8bit stereo sampler is enabled.

`UserportRTC58321a`

  Boolean specifying whether the userport RTC is emulated or not (xpet, cbm2, x64, x64sc, xscpu64 and x128 only).

`UserportRTC58321aSave`

  Boolean specifying whether the userport RTC data is saved when changed or not (xpet, cbm2, x64, x64sc, xscpu64 and x128 only).

`UserportRTCDS1307`

  Boolean specifying whether the userport RTC is emulated or not (xpet, cbm2, x64, x64sc, xscpu64 and x128 only).

`UserportRTCDS1307Save`

  Boolean specifying whether the userport RTC data is saved when changed or not (xpet, cbm2, x64, x64sc, xscpu64 and x128 only).

#### 6.14.2 Userport command line options

`-userportcollision`

  Select the way the Userport collisions should be handled, (0: error message and detach all involved devices, 1: error message and detach last attached involved device, 2: warning in log and ’AND’ the valid return values) (`UserportCollisionHandling`)

`-userportdigimax`
`+userportdigimax`

  Enable/Disable the userport DigiMAX device (`UserportDIGIMAX=1`, `UserportDIGIMAX=0`)

`-userport4bitsampler`
`+userport4bitsampler`

  Enable/Disable Userport 4bit sampler (`Userport4bitSampler=1`, `Userport4bitSampler=0`)

`-userport8bss`
`+userport8bss`

  Enable/Disable Userport 8bit stereo sampler (`Userport8BSS=1`, `Userport8BSS=0`)

`-userportrtc58321a`
`+userportrtc58321a`

  Enable/disable the userport RTC emulation (`UserportRTC58321a=1`, `UserportRTC58321a=0`) (xpet, cbm2, x64, x64sc, xscpu64 and x128 only).

`-userportrtc58321asave`
`+userportrtc58321asave`

  Disable/enable saving of the userport RTC data when changed (`UserportRTC58321aSave=1`, `UserportRTC58321aSave=0`) (xpet, cbm2, x64, x64sc, xscpu64 and x128 only).

`-userportrtcds1307`
`+userportrtcds1307`

  Enable/disable the userport RTC emulation (`UserportRTCDS1307=1`, `UserportRTCDS1307=0`) (xpet, cbm2, x64, x64sc, xscpu64 and x128 only).

`-userportrtcds1307save`
`+userportrtcds1307save`

  Disable/enable saving of the userport RTC data when changed (`UserportRTCDS1307Save=1`, `UserportRTCDS1307Save=0`) (xpet, cbm2, x64, x64sc, xscpu64 and x128 only).

Previous: RS232 command-line options, Up: RS232 settings [Contents][Index]